Index: sasmodels/models/correlation_length.py
===================================================================
--- sasmodels/models/correlation_length.py	(revision 40a87fa5096610e24c3ead10299f609e99f093f2)
+++ sasmodels/models/correlation_length.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -16,5 +16,5 @@
 multiplicative factors $A$ and $C$, and the two exponents $n$ and $m$ are
 used as fitting parameters. (Respectively *porod_scale*, *lorentz_scale*,
-*exponent_p* and *exponent_l* in the parameter list.) The remaining
+*porod_exp* and *lorentz_exp* in the parameter list.) The remaining
 parameter $\xi$ (*cor_length* in the parameter list) is a correlation
 length for the polymer chains. Note that when $m=2$ this functional form
@@ -48,16 +48,16 @@
               ["porod_scale", "", 1e-06, [0, inf], "", "Porod Scaling Factor"],
               ["cor_length", "Ang", 50.0, [0, inf], "", "Correlation length, xi, in Lorentzian"],
-              ["exponent_p", "", 3.0, [0, inf], "", "Porod Exponent, n, in q^-n"],
-              ["exponent_l", "1/Ang^2", 2.0, [0, inf], "", "Lorentzian Exponent, m, in 1/( 1 + (q.xi)^m)"],
+              ["porod_exp", "", 3.0, [0, inf], "", "Porod Exponent, n, in q^-n"],
+              ["lorentz_exp", "1/Ang^2", 2.0, [0, inf], "", "Lorentzian Exponent, m, in 1/( 1 + (q.xi)^m)"],
              ]
 # pylint: enable=bad-continuation, line-too-long
 
-def Iq(q, lorentz_scale, porod_scale, cor_length, exponent_p, exponent_l):
+def Iq(q, lorentz_scale, porod_scale, cor_length, porod_exp, lorentz_exp):
     """
     1D calculation of the Correlation length model
     """
     with errstate(divide='ignore'):
-        porod = porod_scale / q**exponent_p
-        lorentz = lorentz_scale / (1.0 + (q * cor_length)**exponent_l)
+        porod = porod_scale / q**porod_exp
+        lorentz = lorentz_scale / (1.0 + (q * cor_length)**lorentz_exp)
     inten = porod + lorentz
     return inten
@@ -66,5 +66,5 @@
 # parameters for demo
 demo = dict(lorentz_scale=10.0, porod_scale=1.0e-06, cor_length=50.0,
-            exponent_p=3.0, exponent_l=2.0, background=0.1,
+            porod_exp=3.0, lorentz_exp=2.0, background=0.1,
            )
 
Index: sasmodels/models/dab.py
===================================================================
--- sasmodels/models/dab.py	(revision 2c74c11fc4544381ecf9949bd1618c67ff624c6d)
+++ sasmodels/models/dab.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -55,10 +55,10 @@
 
 #             ["name", "units", default, [lower, upper], "type", "description"],
-parameters = [["length", "Ang", 50.0, [0, inf], "", "correlation length"],
+parameters = [["cor_length", "Ang", 50.0, [0, inf], "", "correlation length"],
              ]
 
 Iq = """
-    double numerator   = pow(length, 3);
-    double denominator = pow(1 + pow(q*length,2), 2);
+    double numerator   = pow(cor_length, 3);
+    double denominator = pow(1 + pow(q*cor_length,2), 2);
     
     return numerator / denominator ;
@@ -69,3 +69,3 @@
 # VR defaults to 1.0
 
-demo = dict(scale=1, background=0, length=50)
+demo = dict(scale=1, background=0, cor_length=50)
Index: sasmodels/models/ellipsoid.c
===================================================================
--- sasmodels/models/ellipsoid.c	(revision 50e1e40cf14d4ded28bf96e61a3cfaf35003b899)
+++ sasmodels/models/ellipsoid.c	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -1,12 +1,12 @@
-double form_volume(double rpolar, double requatorial);
-double Iq(double q, double sld, double solvent_sld, double rpolar, double requatorial);
-double Iqxy(double qx, double qy, double sld, double solvent_sld,
-    double rpolar, double requatorial, double theta, double phi);
+double form_volume(double radius_polar, double radius_equatorial);
+double Iq(double q, double sld, double sld_solvent, double radius_polar, double radius_equatorial);
+double Iqxy(double qx, double qy, double sld, double sld_solvent,
+    double radius_polar, double radius_equatorial, double theta, double phi);
 
-double _ellipsoid_kernel(double q, double rpolar, double requatorial, double sin_alpha);
-double _ellipsoid_kernel(double q, double rpolar, double requatorial, double sin_alpha)
+double _ellipsoid_kernel(double q, double radius_polar, double radius_equatorial, double sin_alpha);
+double _ellipsoid_kernel(double q, double radius_polar, double radius_equatorial, double sin_alpha)
 {
-    double ratio = rpolar/requatorial;
-    const double u = q*requatorial*sqrt(1.0
+    double ratio = radius_polar/radius_equatorial;
+    const double u = q*radius_equatorial*sqrt(1.0
                    + sin_alpha*sin_alpha*(ratio*ratio - 1.0));
     const double f = sph_j1c(u);
@@ -15,14 +15,14 @@
 }
 
-double form_volume(double rpolar, double requatorial)
+double form_volume(double radius_polar, double radius_equatorial)
 {
-    return M_4PI_3*rpolar*requatorial*requatorial;
+    return M_4PI_3*radius_polar*radius_equatorial*radius_equatorial;
 }
 
 double Iq(double q,
     double sld,
-    double solvent_sld,
-    double rpolar,
-    double requatorial)
+    double sld_solvent,
+    double radius_polar,
+    double radius_equatorial)
 {
     // translate a point in [-1,1] to a point in [0, 1]
@@ -33,9 +33,9 @@
         //const double sin_alpha = (Gauss76Z[i]*(upper-lower) + upper + lower)/2;
         const double sin_alpha = Gauss76Z[i]*zm + zb;
-        total += Gauss76Wt[i] * _ellipsoid_kernel(q, rpolar, requatorial, sin_alpha);
+        total += Gauss76Wt[i] * _ellipsoid_kernel(q, radius_polar, radius_equatorial, sin_alpha);
     }
     // translate dx in [-1,1] to dx in [lower,upper]
     const double form = total*zm;
-    const double s = (sld - solvent_sld) * form_volume(rpolar, requatorial);
+    const double s = (sld - sld_solvent) * form_volume(radius_polar, radius_equatorial);
     return 1.0e-4 * s * s * form;
 }
@@ -43,7 +43,7 @@
 double Iqxy(double qx, double qy,
     double sld,
-    double solvent_sld,
-    double rpolar,
-    double requatorial,
+    double sld_solvent,
+    double radius_polar,
+    double radius_equatorial,
     double theta,
     double phi)
@@ -55,6 +55,6 @@
     // TODO: check if this is actually sin(alpha), not cos(alpha)
     const double cos_alpha = cn*cos(phi*M_PI_180)*(qx/q) + sn*(qy/q);
-    const double form = _ellipsoid_kernel(q, rpolar, requatorial, cos_alpha);
-    const double s = (sld - solvent_sld) * form_volume(rpolar, requatorial);
+    const double form = _ellipsoid_kernel(q, radius_polar, radius_equatorial, cos_alpha);
+    const double s = (sld - sld_solvent) * form_volume(radius_polar, radius_equatorial);
 
     return 1.0e-4 * form * s * s;
Index: sasmodels/models/ellipsoid.py
===================================================================
--- sasmodels/models/ellipsoid.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
+++ sasmodels/models/ellipsoid.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -74,5 +74,5 @@
     calculated from our 2D model and the intensity from the NIST SANS
     analysis software. The parameters used were: *scale* = 1.0,
-    *r_polar* = 20 |Ang|, *r_equatorial* = 400 |Ang|,
+    *radius_polar* = 20 |Ang|, *radius_equatorial* = 400 |Ang|,
     *contrast* = 3e-6 |Ang^-2|, and *background* = 0.0 |cm^-1|.
 
@@ -122,7 +122,7 @@
               ["sld_solvent", "1e-6/Ang^2", 1, [-inf, inf], "sld",
                "Solvent scattering length density"],
-              ["r_polar", "Ang", 20, [0, inf], "volume",
+              ["radius_polar", "Ang", 20, [0, inf], "volume",
                "Polar radius"],
-              ["r_equatorial", "Ang", 400, [0, inf], "volume",
+              ["radius_equatorial", "Ang", 400, [0, inf], "volume",
                "Equatorial radius"],
               ["theta", "degrees", 60, [-inf, inf], "orientation",
@@ -134,15 +134,15 @@
 source = ["lib/sph_j1c.c", "lib/gauss76.c", "ellipsoid.c"]
 
-def ER(r_polar, r_equatorial):
+def ER(radius_polar, radius_equatorial):
     import numpy as np
 
-    ee = np.empty_like(r_polar)
-    idx = r_polar > r_equatorial
-    ee[idx] = (r_polar[idx] ** 2 - r_equatorial[idx] ** 2) / r_polar[idx] ** 2
-    idx = r_polar < r_equatorial
-    ee[idx] = (r_equatorial[idx] ** 2 - r_polar[idx] ** 2) / r_equatorial[idx] ** 2
-    idx = r_polar == r_equatorial
-    ee[idx] = 2 * r_polar[idx]
-    valid = (r_polar * r_equatorial != 0)
+    ee = np.empty_like(radius_polar)
+    idx = radius_polar > radius_equatorial
+    ee[idx] = (radius_polar[idx] ** 2 - radius_equatorial[idx] ** 2) / radius_polar[idx] ** 2
+    idx = radius_polar < radius_equatorial
+    ee[idx] = (radius_equatorial[idx] ** 2 - radius_polar[idx] ** 2) / radius_equatorial[idx] ** 2
+    idx = radius_polar == radius_equatorial
+    ee[idx] = 2 * radius_polar[idx]
+    valid = (radius_polar * radius_equatorial != 0)
     bd = 1.0 - ee[valid]
     e1 = np.sqrt(ee[valid])
@@ -152,6 +152,6 @@
     delta = 0.75 * b1 * b2
 
-    ddd = np.zeros_like(r_polar)
-    ddd[valid] = 2.0 * (delta + 1.0) * r_polar * r_equatorial ** 2
+    ddd = np.zeros_like(radius_polar)
+    ddd[valid] = 2.0 * (delta + 1.0) * radius_polar * radius_equatorial ** 2
     return 0.5 * ddd ** (1.0 / 3.0)
 
@@ -159,8 +159,8 @@
 demo = dict(scale=1, background=0,
             sld=6, sld_solvent=1,
-            r_polar=50, r_equatorial=30,
+            radius_polar=50, radius_equatorial=30,
             theta=30, phi=15,
-            r_polar_pd=.2, r_polar_pd_n=15,
-            r_equatorial_pd=.2, r_equatorial_pd_n=15,
+            radius_polar_pd=.2, radius_polar_pd_n=15,
+            radius_equatorial_pd=.2, radius_equatorial_pd_n=15,
             theta_pd=15, theta_pd_n=45,
             phi_pd=15, phi_pd_n=1)
Index: sasmodels/models/elliptical_cylinder.c
===================================================================
--- sasmodels/models/elliptical_cylinder.c	(revision 40a87fa5096610e24c3ead10299f609e99f093f2)
+++ sasmodels/models/elliptical_cylinder.c	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -1,16 +1,16 @@
-double form_volume(double r_minor, double r_ratio, double length);
-double Iq(double q, double r_minor, double r_ratio, double length,
+double form_volume(double radius_minor, double r_ratio, double length);
+double Iq(double q, double radius_minor, double r_ratio, double length,
           double sld, double solvent_sld);
-double Iqxy(double qx, double qy, double r_minor, double r_ratio, double length,
+double Iqxy(double qx, double qy, double radius_minor, double r_ratio, double length,
             double sld, double solvent_sld, double theta, double phi, double psi);
 
 
-double _elliptical_cylinder_kernel(double q, double r_minor, double r_ratio, double theta);
+double _elliptical_cylinder_kernel(double q, double radius_minor, double r_ratio, double theta);
 
-double _elliptical_cylinder_kernel(double q, double r_minor, double r_ratio, double theta)
+double _elliptical_cylinder_kernel(double q, double radius_minor, double r_ratio, double theta)
 {
     // This is the function LAMBDA1^2 in Feigin's notation
     // q is the q-value for the calculation (1/A)
-    // r_minor is the transformed radius"a" in Feigin's notation
+    // radius_minor is the transformed radius"a" in Feigin's notation
     // r_ratio is the ratio (major radius)/(minor radius) of the Ellipsoid [=] ---
     // theta is the dummy variable of the integration
@@ -18,5 +18,5 @@
     double retval,arg;
 
-    arg = q*r_minor*sqrt((1.0+r_ratio*r_ratio)/2+(1.0-r_ratio*r_ratio)*cos(theta)/2);
+    arg = q*radius_minor*sqrt((1.0+r_ratio*r_ratio)/2+(1.0-r_ratio*r_ratio)*cos(theta)/2);
     //retval = 2.0*J1(arg)/arg;
     retval = sas_J1c(arg);
@@ -25,10 +25,10 @@
 
 
-double form_volume(double r_minor, double r_ratio, double length)
+double form_volume(double radius_minor, double r_ratio, double length)
 {
-    return M_PI * r_minor * r_minor * r_ratio * length;
+    return M_PI * radius_minor * radius_minor * r_ratio * length;
 }
 
-double Iq(double q, double r_minor, double r_ratio, double length,
+double Iq(double q, double radius_minor, double r_ratio, double length,
           double sld, double solvent_sld) {
 
@@ -55,5 +55,5 @@
         summj=0;
         zi = ( Gauss76Z[i]*(vb-va) + va + vb )/2.0;     //the "x" dummy
-        arg = r_minor*sqrt(1.0-zi*zi);
+        arg = radius_minor*sqrt(1.0-zi*zi);
         for(int j=0;j<nordj;j++) {
             //20 gauss points for the inner integral
@@ -77,10 +77,10 @@
     answer *= delrho*delrho;
 
-    const double vol = form_volume(r_minor, r_ratio, length);
+    const double vol = form_volume(radius_minor, r_ratio, length);
     return answer*vol*vol*1.0e-4;
 }
 
 
-double Iqxy(double qx, double qy, double r_minor, double r_ratio, double length,
+double Iqxy(double qx, double qy, double radius_minor, double r_ratio, double length,
             double sld, double solvent_sld, double theta, double phi, double psi) {
     const double _theta = theta * M_PI / 180.0;
@@ -139,6 +139,6 @@
     }
 
-    const double r_major = r_ratio * r_minor;
-    const double qr = q*sqrt( r_major*r_major*cos_nu*cos_nu + r_minor*r_minor*cos_mu*cos_mu );
+    const double r_major = r_ratio * radius_minor;
+    const double qr = q*sqrt( r_major*r_major*cos_nu*cos_nu + radius_minor*radius_minor*cos_mu*cos_mu );
     const double qL = q*length*cos_val/2.0;
 
@@ -159,5 +159,5 @@
 
     const double k = 2.0 * Be * Si;
-    const double vol = form_volume(r_minor, r_ratio, length);
+    const double vol = form_volume(radius_minor, r_ratio, length);
     return (sld - solvent_sld) * (sld - solvent_sld) * k * k *vol*vol*1.0e-4;
 }
Index: sasmodels/models/elliptical_cylinder.py
===================================================================
--- sasmodels/models/elliptical_cylinder.py	(revision 40a87fa5096610e24c3ead10299f609e99f093f2)
+++ sasmodels/models/elliptical_cylinder.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -110,5 +110,5 @@
 # pylint: disable=bad-whitespace, line-too-long
 #             ["name", "units", default, [lower, upper], "type","description"],
-parameters = [["r_minor",     "Ang",        20.0,  [0, inf],    "volume",      "Ellipse minor radius"],
+parameters = [["radius_minor",     "Ang",        20.0,  [0, inf],    "volume",      "Ellipse minor radius"],
               ["axis_ratio",   "",          1.5,   [1, inf],    "volume",      "Ratio of major radius over minor radius"],
               ["length",      "Ang",        400.0, [1, inf],    "volume",      "Length of the cylinder"],
@@ -124,16 +124,16 @@
           "elliptical_cylinder.c"]
 
-demo = dict(scale=1, background=0, r_minor=100, axis_ratio=1.5, length=400.0,
+demo = dict(scale=1, background=0, radius_minor=100, axis_ratio=1.5, length=400.0,
             sld=4.0, sld_solvent=1.0, theta=10.0, phi=20, psi=30,
             theta_pd=10, phi_pd=2, psi_pd=3)
 
-def ER(r_minor, axis_ratio, length):
+def ER(radius_minor, axis_ratio, length):
     """
         Equivalent radius
-        @param r_minor: Ellipse minor radius
+        @param radius_minor: Ellipse minor radius
         @param axis_ratio: Ratio of major radius over minor radius
         @param length: Length of the cylinder
     """
-    radius = sqrt(r_minor * r_minor * axis_ratio)
+    radius = sqrt(radius_minor * radius_minor * axis_ratio)
     ddd = 0.75 * radius * (2 * radius * length
                            + (length + radius) * (length + pi * radius))
@@ -141,9 +141,9 @@
 
 tests = [
-    [{'r_minor': 20.0, 'axis_ratio': 1.5, 'length':400.0}, 'ER', 79.89245454155024],
-    [{'r_minor': 20.0, 'axis_ratio': 1.2, 'length':300.0}, 'VR', 1],
+    [{'radius_minor': 20.0, 'axis_ratio': 1.5, 'length':400.0}, 'ER', 79.89245454155024],
+    [{'radius_minor': 20.0, 'axis_ratio': 1.2, 'length':300.0}, 'VR', 1],
 
     # The SasView test result was 0.00169, with a background of 0.001
-    [{'r_minor': 20.0, 'axis_ratio': 1.5, 'sld': 4.0, 'length':400.0,
+    [{'radius_minor': 20.0, 'axis_ratio': 1.5, 'sld': 4.0, 'length':400.0,
       'sld_solvent':1.0, 'background':0.0},
      0.001, 675.504402],
Index: sasmodels/models/fractal_core_shell.c
===================================================================
--- sasmodels/models/fractal_core_shell.c	(revision 2c74c11fc4544381ecf9949bd1618c67ff624c6d)
+++ sasmodels/models/fractal_core_shell.c	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -8,5 +8,5 @@
           double solvent_sld,
           double volfraction,
-          double frac_dim,
+          double fractal_dim,
           double cor_length);
 
@@ -23,5 +23,5 @@
           double solvent_sld,
           double volfraction,
-          double frac_dim,
+          double fractal_dim,
           double cor_length) {
 
@@ -34,10 +34,10 @@
                               solvent_sld);
     //calculate S(q)
-    double frac_1 = frac_dim-1.0;
+    double frac_1 = fractal_dim-1.0;
     double qr = q*radius;
 
-    double t1 = frac_dim*sas_gamma(frac_1)*sin(frac_1*atan(q*cor_length));
+    double t1 = fractal_dim*sas_gamma(frac_1)*sin(frac_1*atan(q*cor_length));
     double t2 = (1.0 + 1.0/(q*cor_length)/(q*cor_length));
-    double t3 = pow(qr, frac_dim) * pow(t2, (frac_1/2.0));
+    double t3 = pow(qr, fractal_dim) * pow(t2, (frac_1/2.0));
     double sq = t1/t3;
     sq += 1.0;
Index: sasmodels/models/fractal_core_shell.py
===================================================================
--- sasmodels/models/fractal_core_shell.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
+++ sasmodels/models/fractal_core_shell.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -31,5 +31,5 @@
     {(qr_c)^{D_f}\left(1+\frac{1}{q^2\xi ^2} \right)^{\frac{D_f-1}{2}}}
 
-where $D_f$ = frac_dim, |xi| = cor_length, $r_c$ = (core) radius, and
+where $D_f$ = fractal_dim, |xi| = cor_length, $r_c$ = (core) radius, and
 $scale$ = volume fraction.
 
@@ -69,5 +69,5 @@
     ["sld_solvent", "1e-6/Ang^2", 3.0,  [-inf, inf], "sld",    "Solvent scattering length density"],
     ["volfraction", "",           1.0,  [0, inf],    "",       "Volume fraction of building block spheres"],
-    ["frac_dim",    "",           2.0,  [-inf, inf], "",       "Fractal dimension"],
+    ["fractal_dim",    "",           2.0,  [-inf, inf], "",       "Fractal dimension"],
     ["cor_length",  "Ang",      100.0,  [0, inf],    "",       "Correlation length of fractal-like aggregates"]]
 # pylint: enable=bad-whitespace, line-too-long
@@ -83,5 +83,5 @@
             sld_solvent=6.35,
             volfraction=0.05,
-            frac_dim=2.0,
+            fractal_dim=2.0,
             cor_length=100.0)
 
Index: sasmodels/models/gauss_lorentz_gel.py
===================================================================
--- sasmodels/models/gauss_lorentz_gel.py	(revision 40a87fa5096610e24c3ead10299f609e99f093f2)
+++ sasmodels/models/gauss_lorentz_gel.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -56,30 +56,30 @@
 # pylint: disable=bad-whitespace, line-too-long
 #            ["name", "units", default, [lower, upper], "type", "description"],
-parameters = [["gauss_scale_factor",   "",    100.0,  [-inf, inf], "", "Gauss scale factor"],
-              ["static_cor_length",    "Ang", 100.0,  [0, inf],    "", "Static correlation length"],
-              ["lorentz_scale_factor", "",     50.0,  [-inf, inf], "", "Lorentzian scale factor"],
-              ["dynamic_cor_length",   "Ang",  20.0,  [0, inf],    "", "Dynamic correlation length"],
+parameters = [["gauss_scale",   "",    100.0,  [-inf, inf], "", "Gauss scale factor"],
+              ["cor_length_static",    "Ang", 100.0,  [0, inf],    "", "Static correlation length"],
+              ["lorentz_scale", "",     50.0,  [-inf, inf], "", "Lorentzian scale factor"],
+              ["cor_length_dynamic",   "Ang",  20.0,  [0, inf],    "", "Dynamic correlation length"],
              ]
 # pylint: enable=bad-whitespace, line-too-long
 
 def Iq(q,
-       gauss_scale_factor=100.0,
-       static_cor_length=100.0,
-       lorentz_scale_factor=50.0,
-       dynamic_cor_length=20.0):
+       gauss_scale=100.0,
+       cor_length_static=100.0,
+       lorentz_scale=50.0,
+       cor_length_dynamic=20.0):
     """
 
     :param q:                    Input q-value
-    :param gauss_scale_factor:   Gauss scale factor
-    :param static_cor_length:    Static correlation length
-    :param lorentz_scale_factor: Lorentzian scale factor
-    :param dynamic_cor_length:   Dynamic correlation length
+    :param gauss_scale:   Gauss scale factor
+    :param cor_length_static:    Static correlation length
+    :param lorentz_scale: Lorentzian scale factor
+    :param cor_length_dynamic:   Dynamic correlation length
     :return:                     1-D intensity
     """
 
-    term1 = gauss_scale_factor *\
-            exp(-1.0*q*q*static_cor_length*static_cor_length/2.0)
-    term2 = lorentz_scale_factor /\
-            (1.0+(q*dynamic_cor_length)*(q*dynamic_cor_length))
+    term1 = gauss_scale *\
+            exp(-1.0*q*q*cor_length_static*cor_length_static/2.0)
+    term2 = lorentz_scale /\
+            (1.0+(q*cor_length_dynamic)*(q*cor_length_dynamic))
 
     return term1 + term2
@@ -89,48 +89,48 @@
 
 demo = dict(scale=1, background=0.1,
-            gauss_scale_factor=100.0,
-            static_cor_length=100.0,
-            lorentz_scale_factor=50.0,
-            dynamic_cor_length=20.0)
+            gauss_scale=100.0,
+            cor_length_static=100.0,
+            lorentz_scale=50.0,
+            cor_length_dynamic=20.0)
 
 tests = [
 
     # Accuracy tests based on content in test/utest_extra_models.py
-    [{'gauss_scale_factor':  100.0,
-      'static_cor_length':   100.0,
-      'lorentz_scale_factor': 50.0,
-      'dynamic_cor_length':   20.0,
+    [{'gauss_scale':  100.0,
+      'cor_length_static':   100.0,
+      'lorentz_scale': 50.0,
+      'cor_length_dynamic':   20.0,
      }, 0.001, 149.482],
 
-    [{'gauss_scale_factor':  100.0,
-      'static_cor_length':   100.0,
-      'lorentz_scale_factor': 50.0,
-      'dynamic_cor_length':   20.0,
+    [{'gauss_scale':  100.0,
+      'cor_length_static':   100.0,
+      'lorentz_scale': 50.0,
+      'cor_length_dynamic':   20.0,
      }, 0.105363, 9.1913],
 
-    [{'gauss_scale_factor':  100.0,
-      'static_cor_length':   100.0,
-      'lorentz_scale_factor': 50.0,
-      'dynamic_cor_length':   20.0,
+    [{'gauss_scale':  100.0,
+      'cor_length_static':   100.0,
+      'lorentz_scale': 50.0,
+      'cor_length_dynamic':   20.0,
      }, 0.441623, 0.633811],
 
     # Additional tests with larger range of parameters
-    [{'gauss_scale_factor':  10.0,
-      'static_cor_length':  100.0,
-      'lorentz_scale_factor': 3.0,
-      'dynamic_cor_length':   1.0,
+    [{'gauss_scale':  10.0,
+      'cor_length_static':  100.0,
+      'lorentz_scale': 3.0,
+      'cor_length_dynamic':   1.0,
      }, 0.1, 2.9712970297],
 
-    [{'gauss_scale_factor':  10.0,
-      'static_cor_length':  100.0,
-      'lorentz_scale_factor': 3.0,
-      'dynamic_cor_length':   1.0,
+    [{'gauss_scale':  10.0,
+      'cor_length_static':  100.0,
+      'lorentz_scale': 3.0,
+      'cor_length_dynamic':   1.0,
       'background':         100.0
      }, 5.0, 100.116384615],
 
-    [{'gauss_scale_factor':  10.0,
-      'static_cor_length':  100.0,
-      'lorentz_scale_factor': 3.0,
-      'dynamic_cor_length':   1.0,
+    [{'gauss_scale':  10.0,
+      'cor_length_static':  100.0,
+      'lorentz_scale': 3.0,
+      'cor_length_dynamic':   1.0,
       'background':           0.0,
      }, 200., 7.49981250469e-05],
Index: sasmodels/models/gaussian_peak.py
===================================================================
--- sasmodels/models/gaussian_peak.py	(revision 7f1ee7932f23740bda233dc59203791f93062d5c)
+++ sasmodels/models/gaussian_peak.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -34,10 +34,10 @@
 description = """
     Model describes a Gaussian shaped peak including a flat background
-    Provide F(q) = scale*exp( -1/2 *[(q-q0)/sigma]^2 )+ background
+    Provide F(q) = scale*exp( -1/2 *[(q-peak_pos)/sigma]^2 )+ background
 """
 category = "shape-independent"
 
 #             ["name", "units", default, [lower, upper], "type","description"],
-parameters = [["q0", "1/Ang", 0.05, [-inf, inf], "", "Peak position"],
+parameters = [["peak_pos", "1/Ang", 0.05, [-inf, inf], "", "Peak position"],
               ["sigma", "1/Ang", 0.005, [0, inf], "",
                "Peak width (standard deviation)"],
@@ -45,5 +45,5 @@
 
 Iq = """
-    double scaled_dq = (q - q0)/sigma;
+    double scaled_dq = (q - peak_pos)/sigma;
     return exp(-0.5*scaled_dq*scaled_dq); //sqrt(2*M_PI*sigma*sigma);
     """
@@ -51,3 +51,3 @@
 # VR defaults to 1.0
 
-demo = dict(scale=1, background=0, q0=0.05, sigma=0.005)
+demo = dict(scale=1, background=0, peak_pos=0.05, sigma=0.005)
Index: sasmodels/models/gel_fit.c
===================================================================
--- sasmodels/models/gel_fit.c	(revision 03cac087353e872f40154bf57ef8161eb5367fd4)
+++ sasmodels/models/gel_fit.c	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -1,7 +1,7 @@
 static double Iq(double q,
           double guinier_scale,
-          double lorentzian_scale,
-          double gyration_radius,
-          double fractal_exp,
+          double lorentz_scale,
+          double rg,
+          double fractal_dim,
           double cor_length)
 {
@@ -9,14 +9,14 @@
     ////////////////////////double a(x[i]*x[i]*zeta*zeta);
     double lorentzian_term = square(q*cor_length);
-    lorentzian_term = 1.0 + ((fractal_exp + 1.0)/3.0)*lorentzian_term;
-    lorentzian_term = pow(lorentzian_term, (fractal_exp/2.0) );
+    lorentzian_term = 1.0 + ((fractal_dim + 1.0)/3.0)*lorentzian_term;
+    lorentzian_term = pow(lorentzian_term, (fractal_dim/2.0) );
 
     // Exponential Term
     ////////////////////////double d(x[i]*x[i]*rg*rg);
-    double exp_term = square(q*gyration_radius);
+    double exp_term = square(q*rg);
     exp_term = exp(-1.0*(exp_term/3.0));
 
     // Scattering Law
-    double result = lorentzian_scale/lorentzian_term + guinier_scale*exp_term;
+    double result = lorentz_scale/lorentzian_term + guinier_scale*exp_term;
     return result;
 }
Index: sasmodels/models/gel_fit.py
===================================================================
--- sasmodels/models/gel_fit.py	(revision 40a87fa5096610e24c3ead10299f609e99f093f2)
+++ sasmodels/models/gel_fit.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -62,7 +62,7 @@
 #             ["name", "units", default, [lower, upper], "type","description"],
 parameters = [["guinier_scale",    "cm^-1",   1.7, [-inf, inf], "", "Guinier length scale"],
-              ["lorentzian_scale", "cm^-1",   3.5, [-inf, inf], "", "Lorentzian length scale"],
-              ["gyration_radius",  "Ang",     104.0, [2, inf],    "", "Radius of gyration"],
-              ["fractal_exp",      "",          2.0, [0, inf],    "", "Fractal exponent"],
+              ["lorentz_scale", "cm^-1",   3.5, [-inf, inf], "", "Lorentzian length scale"],
+              ["rg",  "Ang",     104.0, [2, inf],    "", "Radius of gyration"],
+              ["fractal_dim",      "",          2.0, [0, inf],    "", "Fractal exponent"],
               ["cor_length",       "Ang",      16.0, [0, inf],    "", "Correlation length"]
              ]
@@ -73,13 +73,13 @@
 demo = dict(background=0.01,
             guinier_scale=1.7,
-            lorentzian_scale=3.5,
-            gyration_radius=104,
-            fractal_exp=2.0,
+            lorentz_scale=3.5,
+            rg=104,
+            fractal_dim=2.0,
             cor_length=16.0)
 
 tests = [[{'guinier_scale': 1.0,
-           'lorentzian_scale': 1.0,
-           'gyration_radius': 10.0,
-           'fractal_exp': 10.0,
+           'lorentz_scale': 1.0,
+           'rg': 10.0,
+           'fractal_dim': 10.0,
            'cor_length': 20.0,
            'background': 0.0,
@@ -87,7 +87,7 @@
 
          [{'guinier_scale': 4.0,
-           'lorentzian_scale': 10.0,
-           'gyration_radius': 500.0,
-           'fractal_exp': 1.0,
+           'lorentz_scale': 10.0,
+           'rg': 500.0,
+           'fractal_dim': 1.0,
            'cor_length': 20.0,
            'background': 20.0,
Index: sasmodels/models/guinier_porod.py
===================================================================
--- sasmodels/models/guinier_porod.py	(revision 40a87fa5096610e24c3ead10299f609e99f093f2)
+++ sasmodels/models/guinier_porod.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -72,11 +72,11 @@
 description = """\
          I(q) = scale/q^s* exp ( - R_g^2 q^2 / (3-s) ) for q<= ql
-         = scale/q^m*exp((-ql^2*Rg^2)/(3-s))*ql^(m-s) for q>=ql
-                        where ql = sqrt((m-s)(3-s)/2)/Rg.
+         = scale/q^porod_exp*exp((-ql^2*Rg^2)/(3-s))*ql^(porod_exp-s) for q>=ql
+                        where ql = sqrt((porod_exp-s)(3-s)/2)/Rg.
                         List of parameters:
                         scale = Guinier Scale
                         s = Dimension Variable
                         Rg = Radius of Gyration [A] 
-                        m = Porod Exponent
+                        porod_exp = Porod Exponent
                         background  = Background [1/cm]"""
 
@@ -87,14 +87,14 @@
 parameters = [["rg", "Ang", 60.0, [0, inf], "", "Radius of gyration"],
               ["s",  "",    1.0,  [0, inf], "", "Dimension variable"],
-              ["m",  "",    3.0,  [0, inf], "", "Porod exponent"]]
+              ["porod_exp",  "",    3.0,  [0, inf], "", "Porod exponent"]]
 # pylint: enable=bad-whitespace, line-too-long
 
 # pylint: disable=C0103
-def Iq(q, rg, s, m):
+def Iq(q, rg, s, porod_exp):
     """
     @param q: Input q-value
     """
     n = 3.0 - s
-    ms = 0.5*(m-s) # =(n-3+m)/2
+    ms = 0.5*(porod_exp-s) # =(n-3+porod_exp)/2
 
     # preallocate return value
@@ -109,10 +109,10 @@
     with errstate(divide='ignore'):
         iq[idx] = q[idx]**-s * exp(-(q[idx]*rg)**2/n)
-        iq[~idx] = q[~idx]**-m * (exp(-ms) * (n*ms/rg**2)**ms)
+        iq[~idx] = q[~idx]**-porod_exp * (exp(-ms) * (n*ms/rg**2)**ms)
     return iq
 
 Iq.vectorized = True # Iq accepts an array of q values
 
-demo = dict(scale=1.5, background=0.5, rg=60, s=1.0, m=3.0)
+demo = dict(scale=1.5, background=0.5, rg=60, s=1.0, porod_exp=3.0)
 
 tests = [[{'scale': 1.5, 'background':0.5}, 0.04, 5.290096890253155]]
